Hi there,

I had my 3GS unlocked while abroad to firmware 4.1 (8B117) and a 06.15 baseband. I needed at least 4.3 to run a number of apps so I wanted to update the firmware. It was also out of contract with AT&T so I was told that I just needed to plug it in to go through an authorized unlock. I ran it through and it seemed to do the trick, but I got an error 1015. I used tiny umbrella to get it out of recovery mode, but was basically back to where I was before, (4.1 and 06.15). I tried to update and preserve my baseband with red snow, and now am working with 6.0.1 and the 06.15 baseband. However, I am in I believe what they call the "activation loop;" I have the Welcome screen where I enter the language and Time zone, and the next screen where I'm supposed to go through activation but there's an error reaching the activation servers....

I have used the "How to Downgrade Your iPhone 3GS, 3G Baseband for Unlock" iclarified tutorial and redsnow 9.15b3 but it’s telling me that the 6.0.1 ipsw is not supported (fingerprint a1411ab1da53ce36237685957bc8dc08d1275842).

I don't believe I have SHSH available...

I then tried to downgrade the ios following the same steps above using the 4.1 ipsw but I get a message telling me that “the connected device does not support untethered options” and also tried the same steps above using redsnow 9.14b1 and the same thing is still happening.

I then tried selecting “Just boot tethered” but then received a message of and I get an "unrecognized build" message. ”

I was then suggested to use redsn0w 0.9.15b3 and 6.0 IPSW, but I get a message that "this version of redsnow does not support that IPSW …"

Any help would be greatly appreciated!